<?php
/**
 * Back to top
 *
 * @package News
 */

$menus['footer']['child']['footer-styling'] = array(
	'title' => esc_html__( 'Styling', 'news' ),
	'desc'  => esc_html__( 'From here, you can control the styling of footer section.', 'news' ),
);

$sections['footer-styling'] = array(

	array(
		'id'    => 'copyrights_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Copyrights Styling', 'news' ),
	),

	array(
		'id'       => 'mts_copyrights_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Copyrights Background', 'news' ),
		'sub_desc' => esc_html__( 'Set copyrights background color, pattern and image from here.', 'news' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '#ffffff',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),
	array(
		'id'       => 'copyrights_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'news' ),
		'sub_desc' => esc_html__( 'Set margin from here.', 'news' ),
		'std'      => array(
			'top'    => '64px',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'copyrights_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'news' ),
		'sub_desc' => esc_html__( 'Set padding from here.', 'news' ),
		'std'      => array(
			'top'    => '17px',
			'right'  => '0',
			'bottom' => '17px',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'copyrights_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'news' ),
		'sub_desc' => esc_html__( 'Select border', 'news' ),
	),

);
