<?php
/**
 * Header Layout Default
 *
 * @package News
 */

if ( news_get_settings( 'sticky_nav' ) ) { ?>
	<div class="clear" id="catcher"></div>
<?php } ?>

<header<?php news_attr( 'header' ); ?>>
<?php
if ( ! function_exists( 'elementor_theme_do_location' ) || ! elementor_theme_do_location( 'header' ) ) {
?>

	<div id="header" class="clearfix">

		<div class="menu-icon">
			<span></span>
			<span></span>
			<span></span>
		</div>

		<div class="logo-wrap">
			<?php news_logo(); ?>
		</div>

		<?php
		if ( news_get_settings( 'hide_searchbox' ) ) {
			get_search_form();
		}
		?>

		<?php
		// Nav Button.
		if ( news_get_settings( 'nav_button' ) && ! empty( news_get_settings( 'nav_button_url' ) ) ) {
			printf( '<div class="nav-button"><a href="%1$s" class="button">%2$s</a></div>', news_get_settings( 'nav_button_url' ), news_get_settings( 'nav_button_text' ) );
		}
		?>

	</div><!--#header-->
		<?php
}
?>

</header>

<?php get_template_part( 'template-parts/header/header', 'nav-adcode' ); ?>

<?php get_template_part( 'template-parts/header/header', 'adcode' ); ?>
