<?php
/**
 * Posts Layout - default
 *
 * @package News
 */

$featured = news()->featured_layouts;
?>

<div class="<?php $featured->get_post_container_class(); ?>">

	<div class="<?php news_article_class(); ?>">

		<?php
		// Elementor 'archive' location.
		if ( ! function_exists( 'elementor_theme_do_location' ) || ! elementor_theme_do_location( 'archive' ) ) {
			?>

			<?php $featured->get_section_title(); ?>

			<div id="content_box">

				<?php news_action( 'start_content_box' ); ?>

				<section id="latest-posts" class="layout-1 clearfix">

					<div class="post-wrapper">

					<?php
					while ( have_posts() ) :
						the_post();
						?>
						<article class="latestPost excerpt">

							<?php $featured->get_post_thumbnail(); ?>

							<div class="wrapper">

								<?php $featured->get_post_title(); ?>

							</div>

						</article>
					<?php
					endwhile;
					?>

					<?php $featured->get_more_link(); ?>

					</div><!-- .post-wrapper -->

					<?php
					$featured->get_post_pagination();
					?>
				</section><!--#latest-posts-->

			</div>

			<?php
		}
		?>

	</div>

</div>
