<?php
/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package News
 */

get_header(); ?>

	<div id="wrapper">

		<?php get_template_part( 'template-parts/left', 'sidebar' ); ?>

		<div class="container post-container">

			<div class="<?php news_article_class(); ?>">

			<?php
			// Elementor 'archive' location.
			if ( ! function_exists( 'elementor_theme_do_location' ) || ! elementor_theme_do_location( 'archive' ) ) {
				?>

				<?php news_action( 'before_content' ); ?>

				<div id="content_box">

					<section id="latest-posts" class="layout-default clearfix">

						<?php
						the_archive_title( '<h1 class="page-title">', '</h1>' );
						the_archive_description( '<div class="taxonomy-description">', '</div>' );
						?>
						<div class="post-wrapper">
							<?php

							$j = 0;
							if ( have_posts() ) {
								while ( have_posts() ) {
									the_post();
									news_blog_articles();
								}
							}
							?>
						</div>
							<?php
							if ( 0 !== ++$j ) {
								news_pagination( news_get_settings( 'mts_pagenavigation_type' ) );
							}
							wp_reset_query();
							?>

					</section>

				</div>

				<?php
				news_action( 'after_content' );

			}
			?>

			</div>

			<?php get_sidebar(); ?>

		</div>

<?php
get_footer();
