<?php
/**
 * The template for displaying all single posts.
 *
 * @package News
 */

get_header(); ?>

	<div id="wrapper" class="<?php news_single_page_class(); ?>">

		<?php
		news_single_featured_image_effect();

		get_template_part( 'template-parts/left', 'sidebar' );

		news_action( 'before_content' );
		?>

		<div class="container post-container">

			<?php

			get_sidebar();

			news_single_sections();

			?>

		</div>

		<?php

		news_action( 'after_content' );

		?>

		<?php
		if ( 'full' === news_get_settings( 'related_posts_position' ) ) {
			news_related_posts();
		}
		?>

<?php
get_footer();
